const path = require('path');
global.dir = path.join(__dirname);
const {
    app,
    BrowserWindow,
    Menu,
    dialog,
    ipcMain
}         = require('electron');
const fs  = require('fs');
const yt_dl = require('./controller/youtube-dl')
const dl   = require('./controller/download');
const browser = require('./controller/windows.js/browser');
const tray = require('./controller/tray')

//const main_window = require('./controller/windows.js/main.js')

let tray_win = null;

if (!fs.existsSync(global.dir+'/tmp/inst')) {
    fs.writeFileSync(global.dir+'/tmp/inst',"out");
    var win;
    const createWindow = () =>{
        win = new BrowserWindow({
            width: 320,
            height: 500,
            show: false,
            frame: false,
            icon: __dirname + '/app.ico'
        })
        win.once('ready-to-show', () => {
        })

        win.on('closed', () => {
          win = null;
        });
    }
    app.on('ready', createWindow);
    app.on('window-all-closed', () => {
      if (process.platform !== 'darwin') {
        app.quit();
      }
    });
}else{
    var win ;
    app.getPath('documents')
    const createWindow = () =>{
        win = new BrowserWindow({
            width: 320,
            height: 500,
            show: false,
            frame: false,
            icon: __dirname + '/app.ico'
        })
        ipcMain
        .on('start-full', (event, arg)=>{


            //main_window.createWindow();
            //main_window.open();
            tray_win = tray();
                win.close();

        });
        win.loadURL(`file://${__dirname}/app/view/init.html`)
        win.once('ready-to-show', () => {
            win.show()
            //var x = new yt_dl("https://www.youtube.com/watch?v=UbQgXeY_zi4")
            //x.download();
        })
        win.on('closed', () => {
          // Dereference the window object, usually you would store windows
          // in an array if your app supports multi windows, this is the time
          // when you should delete the corresponding element.
          win = null;
        });
    }
    app.on('ready', createWindow);
    app.on('window-all-closed', () => {
      // On OS X it is common for applications and their menu bar
      // to stay active until the user quits explicitly with Cmd + Q
      if (process.platform !== 'darwin') {
        app.quit();
      }
    });
    app.on('activate', () => {
      // On OS X it's common to re-create a window in the app when the
      // dock icon is clicked and there are no other windows open.
      if (mainWindow === null) {
        createWindow();
      }
    });
}

module.exports = app;
